Go to the latest version of this document.

# ``twisted`.`web`.`_template_util`.`_NSContext``

class documentation

`class _NSContext: (source)`

Constructor: `_NSContext(parent)`

View In Hierarchy

A mapping from XML namespaces onto their prefixes in the document.

Method | `__getitem__` | Proxy through to getting the prefix for the namespace.
Method | `__init__` | Pull out the parent's namespaces, if there's no parent then default to XML.
Method | `__setitem__` | Proxy through to setting the prefix for the namespace.
Method | `get` | Get a prefix for a namespace.
Instance Variable | `nss` | Undocumented
Instance Variable | `parent` | Undocumented

def __getitem__(self, k: `str | None`) -> `str | None`: (source)

Proxy through to getting the prefix for the namespace.

def __init__(self, parent: `_NSContext | None` = None): (source)

Pull out the parent's namespaces, if there's no parent then default to XML.

def __setitem__(self, k: `str | None`, v: `str | None`): (source)

Proxy through to setting the prefix for the namespace.

def get(self, k: `str | None`, d: `str | None` = None) -> `str | None`: (source)

Get a prefix for a namespace.

Parameters
k:`str | None` | Undocumented
d:`str | None` | The default prefix value.

Returns
`str | None` | Undocumented

nss: `dict[str | None, str | None]` = (source)

Undocumented

parent = (source)

Undocumented